### Method

# WPEPlatform Display get_drm_device

#### Declaration [src]

    WPEDRMDevice*
    wpe_display_get_drm_device (
      WPEDisplay* display
    )

#### Description [src]

Get the DRM device of `display`. This is the main device that will be used to initialize the EGL display and allocate GBM buffers by default. The DRM device required to allocate GBM buffers for direct scanout will be set as main or group device in `WPEBufferFormats`.

#### Return value

Type: `WPEDRMDevice`

A `WPEDRMDevice` or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.